Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.sf.jasperreports.engine.type
Enum RotationEnum

    java.lang.Object
      java.lang.Enum<RotationEnum>
          net.sf.jasperreports.engine.type.RotationEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RotationEnum>, JREnum

    public enum RotationEnum

extends java.lang.Enum<RotationEnum>
implements JREnum

Version:
  $Id: RotationEnum.java 3433 2010-02-18 14:07:42Z teodord $
Author:
  sanda zaharia (shertage@users.sourceforge.net)

Enum Constant Summary
`LEFT` Constant useful for rotating the text 90 degrees counter clockwise.
`NONE` Constant useful for displaying the text without rotating it
`RIGHT` Constant useful for rotating the text 90 degrees clockwise.
`UPSIDE_DOWN` Constant useful for rotating the text 180 degrees.

Method Summary
`static RotationEnum` | `getByName(java.lang.String name)`
`static RotationEnum` | `getByValue(byte value)`
`static RotationEnum` | `getByValue(java.lang.Byte value)`
`java.lang.String` | `getName()`
`byte` | `getValue()`
`java.lang.Byte` | `getValueByte()`
`static RotationEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RotationEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final RotationEnum NONE

  Constant useful for displaying the text without rotating it

### LEFT

    public static final RotationEnum LEFT

  Constant useful for rotating the text 90 degrees counter clockwise.

### RIGHT

    public static final RotationEnum RIGHT

  Constant useful for rotating the text 90 degrees clockwise.

### UPSIDE_DOWN

    public static final RotationEnum UPSIDE_DOWN

  Constant useful for rotating the text 180 degrees.

Method Detail

### values

    public static RotationEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RotationEnum c : RotationEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RotationEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValueByte

    public java.lang.Byte getValueByte()

  Specified by:
    `getValueByte` in interface `JREnum`

### getValue

    public final byte getValue()

  Specified by:
    `getValue` in interface `JREnum`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `JREnum`

### getByName

    public static RotationEnum getByName(java.lang.String name)

### getByValue

    public static RotationEnum getByValue(java.lang.Byte value)

### getByValue

    public static RotationEnum getByValue(byte value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com